rem --------------------------------------------------------------------
rem Installiert aktuelle Version von IrfanView ohne Benutzer-Interaktion
rem --------------------------------------------------------------------

if "%FILES%" == "" goto end

set AKTVERS=438
set PROGDIR=%ProgramFiles%\irfanview
if not "%ProgramFiles(x86)%" == "" set PROGDIR=%ProgramFiles(x86)%\irfanview
set INSTDIR=%FILES%\Tools\IrfanView_UI
set INDIKATOR=%PROGDIR%\IrfanView-%AKTVERS%.txt

:start

if exist "%INDIKATOR%" goto end

:install
"%INSTDIR%\iview%AKTVERS%g_setup.exe" /silent /folder="%PROGDIR%" /desktop=0 /thumbs=0 /group=1 /allusers=1 /assoc=1 /assocallusers 
"%INSTDIR%\irfanview_plugins_%AKTVERS%_setup.exe" /silent

echo >"%INDIKATOR%"

:end

set IRFSTART=%ALLUSERSPROFILE%\Startmen\Programme\IrfanView
if "%ALLUSERSPROFILE%" == "C:\ProgramData" set IRFSTART=C:\ProgramData\Microsoft\Windows\Start Menu\Programs\IrfanView

rem --------------------------------
rem Englische Link-Dateien entfernen
rem --------------------------------
del /q "%IRFSTART%\About IrfanView.lnk"
del /q "%IRFSTART%\Available Languages.lnk"
del /q "%IRFSTART%\Available PlugIns.lnk"
del /q "%IRFSTART%\Command line Options.lnk"
del /q "%IRFSTART%\IrfanView Help.lnk"
del /q "%IRFSTART%\Uninstall IrfanView.lnk"
del /q "%IRFSTART%\What's New.lnk"

rem -----------------------------------------------------------
rem Link auf die Version 4.33 fehlt das Start-Icon im Startmen
rem -----------------------------------------------------------
if exist "%IRFSTART%\IrfanView 4.33.lnk" del /q "%IRFSTART%\IrfanView 4.33.lnk"

rem folder: destination folder; if not indicated: old IrfanView folder is used, if not found, the "Program Files" folder is used
rem desktop: create desktop shortcut; 0 = no, 1 = yes
rem thumbs: create desktop shortcut for thumbnails; 0 = no, 1 = yes
rem group: create group in Start menu; 0 = no, 1 = yes
rem allusers: desktop/group links are for all users; 0 = current user, 1 = all users
rem assoc: set file associations; 1 = images only, 2 = select all
rem assocallusers: if used, set associations for all users (Windows XP only)
